apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: middleware
spec:
  hosts:
    - middleware
  http:
    - route:
        - destination:
            host: middleware
            subset: version-2
          weight: 100
        - destination:
            host: middleware
            subset: version-1
          weight: 0
